CURLOPT_ADDRESS_SCOPE(3)

NAME
CURLOPT_ADDRESS_SCOPE - set scope for local IPv6 addresses

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_ADDRESS_SCOPE, long scope);

DESCRIPTION
Pass a long specifying the scope_id value to use when connecting to IPv6 link-local or site-local addresses.

DEFAULT
0

PROTOCOLS
All, when using IPv6

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),